unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeeComma, StdCtrls;

type
  TForm1 = class(TForm)
    TeeCommander1: TTeeCommander;
    Panel1: TPanel;
    CBSeriesType: TComboBox;
    CBInvertLegend: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure CBSeriesTypeChange(Sender: TObject);
    procedure CBInvertLegendClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Chart, TeEngine, Series, TeePyramid, TeeConst, TeeGDIPlus;

var Chart1: TChart;
    Series1, Series2: TChartSeries;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption:=TeeMsg_Version;

  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alClient;
  TeeCommander1.Panel:=Chart1;

  Series1:=Chart1.AddSeries(TPieSeries);
  Series1.FillSampleValues;
end;

procedure TForm1.CBSeriesTypeChange(Sender: TObject);
var tmpSeries: TChartSeries;
begin
  tmpSeries:=Chart1[0];
  if CBSeriesType.ItemIndex=0 then
  begin
    ChangeSeriesType(tmpSeries, TPyramidSeries);
    Chart1.Aspect.Orthogonal:=true;
    Chart1.Axes.Bottom.LabelStyle:=talValue;
  end
  else
    ChangeSeriesType(tmpSeries, TPieSeries);
end;

procedure TForm1.CBInvertLegendClick(Sender: TObject);
begin
  Chart1.Legend.Inverted:=CBInvertLegend.Checked
end;

end.

